Bug 1266482 - [QE] Skip Kerberos tests in IPv6 environments when hostname is not configured
Summary: [QE] Skip Kerberos tests in IPv6 environments when hostname is not configured
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite
Version: 6.4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: CR1
: EAP 6.4.6
Assignee: Josef Cacek
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks: 1235746
TreeView+ depends on / blocked
 
Reported: 2015-09-25 11:53 UTC by Josef Cacek
Modified: 2017-01-17 11:44 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-17 11:44:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-5409 Major Resolved Fix KerberosTestUtils in testsuite - skip Kerberos tests for IPv6 if no hostname is configured 2017-07-03 07:52:15 UTC
Red Hat Bugzilla 1185917 None None None Never
Red Hat Bugzilla 1186129 None None None Never
Red Hat Bugzilla 1186132 None None None Never

Internal Links: 1185917 1186129 1186132

Description Josef Cacek 2015-09-25 11:53:36 UTC
Kerberos tests are failing on IPv6 hosts when no hostname is configured for bind address.

There is already implemented assumption in KerberosUtils class in the testsuite. Nevertheless, the condition used there is not sufficient, it doesn't cover Java 8 for instance.

Comment 1 Josef Cacek 2015-09-25 12:02:44 UTC
Linking related BZs:
- IBM JDK 6 - bug 1186129
- IBM JDK 7 - bug 1185917
- OpenJDK 6 - bug 1186132

Comment 4 Peter Mackay 2016-01-21 11:16:08 UTC
Verified with EAP 6.4.6.CP.CR2

Comment 7 Petr Penicka 2017-01-17 11:44:55 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.